<?php
/**
 * PromoCodeTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\MarketingClient\Dto;
use \Ensi\MarketingClient\ObjectSerializer;

/**
 * PromoCodeTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные типы значений:   * &#x60;1&#x60; - промокод на скидку   * &#x60;2&#x60; - промокод на бесплатную доставку
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PromoCodeTypeEnum
{
    /**
     * Possible values of this enum
     */
    const TYPE_DISCOUNT = 1;
    const TYPE_DELIVERY = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::TYPE_DISCOUNT,
            self::TYPE_DELIVERY,
        ];
    }
}


